=== debian/changelog ===
cimg (3.0.2+dfsg-1) unstable; urgency=medium

  * Fix watchfile to detect new versions on github
  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)
  * Fix Maintainer name of Debian Science team (routine-update)

 -- Andreas Tille <tille@debian.org>  Wed, 09 Mar 2022 13:40:18 +0100
