## cimg 3.1.6+dfsg

=== debian/changelog ===
cimg (3.1.6+dfsg-6) unstable; urgency=medium

  * Team Upload.
  * B-D on libopenexr-dev instead

 -- Nilesh Patra <nilesh@debian.org>  Sat, 12 Nov 2022 20:26:22 +0530

cimg (3.1.6+dfsg-5) unstable; urgency=medium

  * Team Upload.
  * Remove the hack that looks quite bad and rather un-necessary
    (Closes: #1020028)

 -- Nilesh Patra <nilesh@debian.org>  Tue, 01 Nov 2022 21:55:38 +0530

cimg (3.1.6+dfsg-4) unstable; urgency=medium

  * Build-/Test-Depends + Recommends: libheif-dev,
    libcurl4-gnutls-dev | libcurl4-dev,
    libgraphicsmagick++1-dev | libmagick++-dev,
    libfftw3-dev | fftw3-dev
  * Make autopkgtest architecture independent
  * Exclude blhc from Salsa CI

 -- Andreas Tille <tille@debian.org>  Fri, 28 Oct 2022 06:52:06 +0200

cimg (3.1.6+dfsg-3) unstable; urgency=medium

  * Test-Depends: build-essential
  * Set upstream metadata fields: Repository.

 -- Andreas Tille <tille@debian.org>  Wed, 26 Oct 2022 21:24:16 +0200

cimg (3.1.6+dfsg-2) unstable; urgency=medium

  * Version 3.1.6 fixes CVE-2022-1325
  * Work around the deficiency of openexr source package to not provide
    any liblOpenEXR.so in a devel package
  * Add autopkgtest

 -- Andreas Tille <tille@debian.org>  Fri, 14 Oct 2022 11:26:27 +0200

cimg (3.1.6+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)
  * Set upstream metadata fields: Repository-Browse.
  * Try hard to follow new package and file layout of libimath-dev
    Closes: #1020028

 -- Andreas Tille <tille@debian.org>  Thu, 13 Oct 2022 21:43:59 +0200
