=== debian/control ===
--- 
+++ 
@@ -3,21 +3,24 @@
 Uploaders: Andreas Tille <tille@debian.org>
 Section: math
 Priority: optional
-Build-Depends: debhelper-compat (= 13)
+Build-Depends: debhelper-compat (= 13),
+               libopenexr-dev <!nocheck>
 Build-Depends-Indep: doxygen,
                      libx11-dev,
                      libxrandr-dev,
-                     libgraphicsmagick++1-dev | libmagick++-dev,
-                     libfftw3-dev | fftw3-dev,
+                     libgraphicsmagick++1-dev | libmagick++-dev <!nocheck>,
+                     libfftw3-dev | fftw3-dev <!nocheck>,
+                     libimath-dev <!nocheck>,
+                     libheif-dev <!nocheck>,
                      libgimp2.0-dev,
                      libopencv-dev,
                      libminc-dev,
                      libtiff5-dev,
                      libtiffxx5,
-                     libcurl4-gnutls-dev | libcurl4-dev,
+                     libcurl4-gnutls-dev | libcurl4-dev <!nocheck>,
                      texlive-latex-extra,
                      texlive-fonts-recommended
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/science-team/cimg
 Vcs-Git: https://salsa.debian.org/science-team/cimg.git
 Homepage: http://cimg.sourceforge.net/
@@ -28,14 +31,17 @@
 Depends: libx11-dev,
          libxrandr-dev,
          libopencv-dev,
+         libimath-dev,
          ${misc:Depends},
          ${shlibs:Depends}
+Recommends: libheif-dev,
+            libcurl4-gnutls-dev | libcurl4-dev,
+            libgraphicsmagick++1-dev | libmagick++-dev,
+            libfftw3-dev | fftw3-dev
 Suggests: xmedcon,
           lapack3-dev,
           cimg-doc,
           cimg-examples,
-          libgraphicsmagick++1-dev | libmagick++-dev,
-          libfftw3-dev | fftw3-dev,
           libgimp2.0-dev,
           libtiff5-dev,
           libtiffxx5
