## cimg 3.2.0+dfsg

=== debian/changelog ===
cimg (3.2.0+dfsg-1) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Update tiff (build) dependencies.
    (closes: #1029109)
  * Fix test dependencies.

  [ Andreas Tille ]
  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)
  * Set upstream metadata fields: Bug-Database, Bug-Submit.

 -- Andreas Tille <tille@debian.org>  Sun, 22 Jan 2023 15:34:45 +0100
