=== examples/Makefile ===
--- 
+++ 
@@ -153,7 +153,11 @@
 # Flags to enable code optimization by the compiler.
 OPT_CFLAGS = -Ofast
 ifdef IS_GCC
-OPT_CFLAGS = -Ofast -mtune=generic
+# Add -mtune=generic for GCC if supported.
+NO_MTUNE_GENERIC = $(shell $(CXX) -mtune=generic -E - < /dev/null > /dev/null 2>&1; echo $$?)
+ifeq ($(NO_MTUNE_GENERIC),0)
+OPT_CFLAGS += -mtune=generic
+endif
 endif
 ifdef IS_ICPC
 OPT_CFLAGS = -fast
@@ -335,4 +339,3 @@
 	@echo "  > windows  : Windows target, GDI32 display, optimizations disabled."
 	@echo "  > dwindows : Windows target, GDI32 display, debug mode."
 	@echo "  > owindows : Windows target, GDI32 display, optimizations enabled."
-	@echo "  > mwindows : Windows target, no display, minimal features, optimizations enabled."
