=== debian/changelog ===
cimg (3.2.1+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Sun, 26 Feb 2023 17:13:06 +0100
