=== debian/control ===
--- 
+++ 
@@ -15,12 +15,11 @@
                      libgimp2.0-dev,
                      libopencv-dev,
                      libminc-dev,
-                     libtiff5-dev,
-                     libtiffxx5,
+                     libtiff-dev,
                      libcurl4-gnutls-dev | libcurl4-dev <!nocheck>,
                      texlive-latex-extra,
                      texlive-fonts-recommended
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/science-team/cimg
 Vcs-Git: https://salsa.debian.org/science-team/cimg.git
 Homepage: http://cimg.sourceforge.net/
@@ -43,8 +42,7 @@
           cimg-doc,
           cimg-examples,
           libgimp2.0-dev,
-          libtiff5-dev,
-          libtiffxx5
+          libtiff-dev
 Description: powerful image processing library
  The CImg Library is a C++ toolkit providing simple classes and functions
  to load, save, process and display images in your own C++ code. It consists
