=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
         build-essential,
         libimath-dev,
         libopenexr-dev,
         libheif-dev,
         libcurl4-gnutls-dev | libcurl4-dev,
         libgraphicsmagick++1-dev | libmagick++-dev,
         libfftw3-dev | fftw3-dev
Restrictions: allow-stderr
