=== debian/changelog ===
cimg (3.5.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 3.5.0+dfsg (Closes: #1068153)
  * Split up the two CeCILL licenses in debian/copyright
  * Added copyright and license details for plugins/inpaint.h

 -- Loren M. Lang <lorenl@north-winds.org>  Tue, 14 Jan 2025 23:12:03 -0800

cimg (3.2.1+dfsg-2) unstable; urgency=medium

  * Team upload.
  [ Jeremy Bícha ]
  * Remove dependencies on libgimp2.0-dev. Closes: #1089658.
  [ Santiago Vila ]
  * Update Standards-Version.

 -- Santiago Vila <sanvila@debian.org>  Tue, 10 Dec 2024 19:32:00 +0100
