=== debian/control ===
--- 
+++ 
@@ -12,14 +12,13 @@
                      libfftw3-dev | fftw3-dev <!nocheck>,
                      libimath-dev <!nocheck>,
                      libheif-dev <!nocheck>,
-                     libgimp2.0-dev,
                      libopencv-dev,
                      libminc-dev,
                      libtiff-dev,
                      libcurl4-gnutls-dev | libcurl4-dev <!nocheck>,
                      texlive-latex-extra,
                      texlive-fonts-recommended
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/science-team/cimg
 Vcs-Git: https://salsa.debian.org/science-team/cimg.git
 Homepage: http://cimg.sourceforge.net/
@@ -41,7 +40,6 @@
           lapack3-dev,
           cimg-doc,
           cimg-examples,
-          libgimp2.0-dev,
           libtiff-dev
 Description: powerful image processing library
  The CImg Library is a C++ toolkit providing simple classes and functions
@@ -88,7 +86,6 @@
 Recommends: cimg-dev,
             libgraphicsmagick++1-dev | libmagick++-dev,
             libfftw3-dev | fftw3-dev,
-            libgimp2.0-dev,
             libopencv-dev
 Enhances: cimg-dev,
           cimg-doc
