## cimg 3.5.2+dfsg

=== debian/changelog ===
cimg (3.5.2+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.7.1 (routine-update)

 -- Andreas Tille <tille@debian.org>  Fri, 21 Feb 2025 11:46:14 +0100
