=== debian/control ===
--- 
+++ 
@@ -18,7 +18,7 @@
                      libcurl4-gnutls-dev | libcurl4-dev <!nocheck>,
                      texlive-latex-extra,
                      texlive-fonts-recommended
-Standards-Version: 4.7.0
+Standards-Version: 4.7.1
 Vcs-Browser: https://salsa.debian.org/science-team/cimg
 Vcs-Git: https://salsa.debian.org/science-team/cimg.git
 Homepage: http://cimg.sourceforge.net/
